Loading...
Searching...
No Matches
gx_engine::RtNeural Class Reference

`#include <gx_neural_plugins.h>`

Inheritance diagram for gx_engine::RtNeural:

## Public Member Functions

| RtNeural (ParamMap &param_, std::string id, sigc::slot< void > sync)
| ~RtNeural ()

## Public Attributes

std::vector< Glib::ustring > | rtneural_file_names
Plugin | plugin
Public Attributes inherited from PluginDef
int | version
int | flags
const char * | id
const char * | name
const char ** | groups
const char * | description
const char * | category
const char * | shortname
process_mono_audio | mono_audio
process_stereo_audio | stereo_audio
inifunc | set_samplerate
activatefunc | activate_plugin
registerfunc | register_params
uiloader | load_ui
clearstatefunc | clear_state
deletefunc | delete_instance

## Private Member Functions

void | clear_state_f ()
int | load_ui_f (const UiBuilder &b, int form)
void | init (unsigned int sample_rate)
void | compute (int count, float *input0, float *output0)
void | get_samplerate (std::string config_file)
void | load_json_file ()
void | load_json_file_impl ()
void | create_rtneural_filelist ()
int | register_par (const ParamReg &reg)

## Static Private Member Functions

static void | clear_state_f_static (PluginDef *)
static void | init_static (unsigned int sample_rate, PluginDef *)
static int | load_ui_f_static (const UiBuilder &b, int form)
static void | compute_static (int count, float *input0, float *output0, PluginDef *)
static int | register_params_static (const ParamReg &reg)
static void | del_instance (PluginDef *p)

## Private Attributes

RTNeural::Model< float > * | model
ParamMap & | param
gx_resample::FixedRateResampler | smp
Ramp | ramp
sigc::slot< void > | sync
volatile int | ready
int | fSampleRate
int | mSampleRate
float | fVslider0
float | fVslider1
double | fRec0 [2]
double | fRec1 [2]
int | need_resample
bool | is_inited
float | filelist
Glib::ustring | load_file
Glib::ustring | current_file
Glib::ustring | load_path
std::string | idstring

## Detailed Description

Definition at line 198 of file gx_neural_plugins.h.

## Constructor & Destructor Documentation

## RtNeural()

gx_engine::RtNeural::RtNeural | ( | ParamMap & | param_,
|  | std::string | id,
|  | sigc::slot< void > | sync )

## ~RtNeural()

gx_engine::RtNeural::~RtNeural | ( |  | ) |

## Member Function Documentation

## clear_state_f()

void gx_engine::RtNeural::clear_state_f | ( |  | ) |

private

## clear_state_f_static()

void gx_engine::RtNeural::clear_state_f_static | ( | PluginDef * |  | ) |

static private

## compute()

void gx_engine::RtNeural::compute | ( | int | count,
|  | float * | input0,
|  | float * | output0 )

private

## compute_static()

void gx_engine::RtNeural::compute_static | ( | int | count,
|  | float * | input0,
|  | float * | output0,
|  | PluginDef * | )

static private

## create_rtneural_filelist()

void gx_engine::RtNeural::create_rtneural_filelist | ( |  | ) |

private

## del_instance()

void gx_engine::RtNeural::del_instance | ( | PluginDef * | p | ) |

static private

## get_samplerate()

void gx_engine::RtNeural::get_samplerate | ( | std::string | config_file | ) |

private

## init()

void gx_engine::RtNeural::init | ( | unsigned int | sample_rate | ) |

private

## init_static()

void gx_engine::RtNeural::init_static | ( | unsigned int | sample_rate,
|  | PluginDef * | )

static private

## load_json_file()

void gx_engine::RtNeural::load_json_file | ( |  | ) |

private

## load_json_file_impl()

void gx_engine::RtNeural::load_json_file_impl | ( |  | ) |

private

## load_ui_f()

int gx_engine::RtNeural::load_ui_f | ( | const UiBuilder & | b,
|  | int | form )

private

## load_ui_f_static()

int gx_engine::RtNeural::load_ui_f_static | ( | const UiBuilder & | b,
|  | int | form )

static private

## register_par()

int gx_engine::RtNeural::register_par | ( | const ParamReg & | reg | ) |

private

## register_params_static()

int gx_engine::RtNeural::register_params_static | ( | const ParamReg & | reg | ) |

static private

## Member Data Documentation

## current_file

Glib::ustring gx_engine::RtNeural::current_file

private

Definition at line 216 of file gx_neural_plugins.h.

## filelist

float gx_engine::RtNeural::filelist

private

Definition at line 214 of file gx_neural_plugins.h.

## fRec0

double gx_engine::RtNeural::fRec0[2]

private

Definition at line 210 of file gx_neural_plugins.h.

## fRec1

double gx_engine::RtNeural::fRec1[2]

private

Definition at line 211 of file gx_neural_plugins.h.

## fSampleRate

int gx_engine::RtNeural::fSampleRate

private

Definition at line 206 of file gx_neural_plugins.h.

## fVslider0

float gx_engine::RtNeural::fVslider0

private

Definition at line 208 of file gx_neural_plugins.h.

## fVslider1

float gx_engine::RtNeural::fVslider1

private

Definition at line 209 of file gx_neural_plugins.h.

## idstring

std::string gx_engine::RtNeural::idstring

private

Definition at line 218 of file gx_neural_plugins.h.

## is_inited

bool gx_engine::RtNeural::is_inited

private

Definition at line 213 of file gx_neural_plugins.h.

## load_file

Glib::ustring gx_engine::RtNeural::load_file

private

Definition at line 215 of file gx_neural_plugins.h.

## load_path

Glib::ustring gx_engine::RtNeural::load_path

private

Definition at line 217 of file gx_neural_plugins.h.

## model

RTNeural::Model<float>* gx_engine::RtNeural::model

private

Definition at line 200 of file gx_neural_plugins.h.

## mSampleRate

int gx_engine::RtNeural::mSampleRate

private

Definition at line 207 of file gx_neural_plugins.h.

## need_resample

int gx_engine::RtNeural::need_resample

private

Definition at line 212 of file gx_neural_plugins.h.

## param

ParamMap& gx_engine::RtNeural::param

private

Definition at line 201 of file gx_neural_plugins.h.

## plugin

Plugin gx_engine::RtNeural::plugin

Definition at line 238 of file gx_neural_plugins.h.

## ramp

Ramp gx_engine::RtNeural::ramp

private

Definition at line 203 of file gx_neural_plugins.h.

## ready

volatile int gx_engine::RtNeural::ready

private

Definition at line 205 of file gx_neural_plugins.h.

## rtneural_file_names

std::vector<Glib::ustring> gx_engine::RtNeural::rtneural_file_names

Definition at line 237 of file gx_neural_plugins.h.

## smp

gx_resample::FixedRateResampler gx_engine::RtNeural::smp

private

Definition at line 202 of file gx_neural_plugins.h.

## sync

sigc::slot<void> gx_engine::RtNeural::sync

private

Definition at line 204 of file gx_neural_plugins.h.

Referenced by RtNeural().

The documentation for this class was generated from the following file:

- src/headers/gx_neural_plugins.h